# PrivateKeyStringResource (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.sshj.userauth.password
Class PrivateKeyStringResource

    java.lang.Object
      net.schmizz.sshj.userauth.password.Resource<String>
          net.schmizz.sshj.userauth.password.PrivateKeyStringResource

    public class PrivateKeyStringResource

extends Resource<String>

Constructor Summary
`PrivateKeyStringResource(String string)`

Method Summary
`Reader` `getReader()`
`String` `toString()`

Methods inherited from class net.schmizz.sshj.userauth.password.Resource
`equals, getDetail, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrivateKeyStringResource

    public PrivateKeyStringResource(String string)

Method Detail

### getReader

    public Reader getReader()
                     throws IOException

  Specified by:
    `getReader` in class `Resource<String>`
  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Resource<String>`

Copyright © 2009-2012. All Rights Reserved.